Bug 1598872 - dpkg installation fails due to lack of Requires(post)
Summary: dpkg installation fails due to lack of Requires(post)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dpkg
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-06 17:14 UTC by Bruce Jerrick
Modified: 2018-08-31 19:05 UTC (History)
3 users (show)

Fixed In Version: dpkg-1.18.25-1.fc28 dpkg-1.18.25-1.fc27 dpkg-1.18.25-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-08 16:09:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Bruce Jerrick 2018-07-06 17:14:54 UTC
Description of problem:
During a kickstart install, the postinstall scriptlet of dpkg fails and
causes anaconda to abort, because executables in the scriptlet have not
yet been installed.

Version-Release number of selected component:
dpkg-1.18.24-6.f28

How reproducible:
Depends on package selection.

Steps to Reproduce:
It is difficult to specify a package selection that will produce the bug.
But an examination of the dpkg.spec file will show that the following
executables are invoked, but there is no Requires(post) to ensure that
they are installed prior to being needed:
    touch
    chmod
    chown

Actual results:
anaconda fails with a popup error message re POSTIN scriptlet failure.

Expected results:
Successful installation.

Additional info:
This addition to the spec file fixes the problem:
    Requires(post): coreutils
An alternative is to add these three:
    Requires(post): /bin/touch
    Requires(post): /bin/chmod
    Requires(post): /bin/chown

Comment 1 Fedora Update System 2018-07-29 09:35:07 UTC
dpkg-1.18.24-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-17ab93323c

Comment 2 Fedora Update System 2018-07-29 10:32:39 UTC
dpkg-1.18.25-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff8d8c33b1

Comment 3 Fedora Update System 2018-07-29 10:32:57 UTC
dpkg-1.18.25-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0a61e79f56

Comment 4 Fedora Update System 2018-07-29 10:33:44 UTC
dpkg-1.18.25-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5346e2123a

Comment 5 Fedora Update System 2018-07-29 23:51:22 UTC
dpkg-1.18.25-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0a61e79f56

Comment 6 Fedora Update System 2018-07-29 23:59:33 UTC
dpkg-1.18.25-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5346e2123a

Comment 7 Fedora Update System 2018-07-30 01:26:59 UTC
dpkg-1.18.25-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff8d8c33b1

Comment 8 Fedora Update System 2018-08-08 16:09:10 UTC
dpkg-1.18.25-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-08-22 10:42:56 UTC
dpkg-1.18.25-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-08-31 19:05:15 UTC
dpkg-1.18.25-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.